#!/bin/bash

# Get variables from settings.sh
source settings.sh

echo "Creating Directories"
mkdir -p $SYSTEM_IMAGE_MOUNT_DIR
mkdir -p $UPDATE_EXTRACT_TEMP_DIR
mkdir -p $OUTPUT_DIR
mkdir -p $KEYS_DIR

echo "Creating Key Placeholder Files"
test -f $ZIP_PASSWORD_FILE || touch $ZIP_PASSWORD_FILE
test -f $ENCRYPTION_KEY_FILE || touch $ENCRYPTION_KEY_FILE
test -f $ENCRYPTION_IV_FILE || touch $ENCRYPTION_IV_FILE
test -f $RSA_PRIVATE_SIGNING_KEY_FILE || touch $RSA_PRIVATE_SIGNING_KEY_FILE

echo "Fill in the required key files (By default in the keys folder), then extract a system update with \"./extract_update.sh (Path to enc_system_update.zip)\""