#!/bin/bash

# Get variables from settings.sh
source settings.sh

ZIP_PASSWORD=`cat $ZIP_PASSWORD_FILE`

echo "Cleaning Extract Temp Directory"
rm -rf $UPDATE_EXTRACT_TEMP_DIR

echo "Extracting Update"

unzip -o -P $ZIP_PASSWORD -q $1 -d $UPDATE_EXTRACT_TEMP_DIR/

if [[ ! -f $UPDATE_EXTRACT_TEMP_DIR/enc_system/system.img ]];then
	echo "Could not find system.img file in update zip"
	exit
fi

echo "Mounting system.img to image/system"
sudo mount $UPDATE_EXTRACT_TEMP_DIR/enc_system/system.img $SYSTEM_IMAGE_MOUNT_DIR

echo "Modify the files you want in the ${SYSTEM_IMAGE_MOUNT_DIR} folder and run ./compile_update.sh"